---
title: Get Orders
slug: fourkites-api-reference/get-orders
icon: {"apiMethod":"GET"}
createdAt: 2024-12-13T14:19:34.000Z
---

This API returns the **paginated list of orders**. This API supports multiple filters/query parameters as described below.

:::hint{type="info"}
**Note**: All date fields in this API use **UTC** exclusively.
:::

:::hint{type="info"}
### Rate Limit

**1 request per second**
:::

:::hint{type="info"}
### Format Supported

**JSON**
:::

:::hint{type="info"}
### Authenticated Resource

**API Key**
:::

For more information on Authentication, [click here](https://docs.fourkites.com/api-reference/authentication).&#x20;

:::ApiMethodV2
```json
{
  "name": "Production",
  "method": "GET",
  "url": "https://api.fourkites.com/orders?key=orderNumber&value=Order_8Nov_test",
  "description": "",
  "tab": "examples",
  "examples": {
    "languages": [
      {
        "id": "qeoO8eSPZzhz5nhVVvEbd",
        "language": "curl",
        "code": "curl --location --request GET 'https://api.fourkites.com/orders?key=orderNumber&value=Order_8Nov_test' \\\n--header 'accept: application/json' \\\n--header 'apikey: REPLACE_KEY_VALUE'",
        "customLabel": ""
      },
      {
        "id": "JMDRbEn_YX7o7jdljZl-o",
        "language": "java",
        "code": "OkHttpClient client = new OkHttpClient().newBuilder()\n  .build();\nMediaType mediaType = MediaType.parse(\"text/plain\");\nRequestBody body = RequestBody.create(mediaType, \"\");\nRequest request = new Request.Builder()\n  .url(\"https://api.fourkites.com/orders?key=orderNumber&value=Order_8Nov_test\")\n  .method(\"GET\", body)\n  .addHeader(\"accept\", \"application/json\")\n  .addHeader(\"apikey\", \"REPLACE_KEY_VALUE\")\n  .build();\nResponse response = client.newCall(request).execute();",
        "customLabel": ""
      },
      {
        "id": "P5r9837dSygmx1ifCkWwy",
        "language": "javascript",
        "code": "var settings = {\n  \"url\": \"https://api.fourkites.com/orders?key=orderNumber&value=Order_8Nov_test\",\n  \"method\": \"GET\",\n  \"timeout\": 0,\n  \"headers\": {\n    \"accept\": \"application/json\",\n    \"apikey\": \"REPLACE_KEY_VALUE\"\n  },\n};\n\n$.ajax(settings).done(function (response) {\n  console.log(response);\n});",
        "customLabel": ""
      },
      {
        "id": "Oio-LwOGVIkXBLTpDdOSU",
        "language": "swift",
        "code": "import Foundation\n#if canImport(FoundationNetworking)\nimport FoundationNetworking\n#endif\n\nvar semaphore = DispatchSemaphore (value: 0)\n\nvar request = URLRequest(url: URL(string: \"https://api.fourkites.com/orders?key=orderNumber&value=Order_8Nov_test\")!,timeoutInterval: Double.infinity)\nrequest.addValue(\"application/json\", forHTTPHeaderField: \"accept\")\nrequest.addValue(\"REPLACE_KEY_VALUE\", forHTTPHeaderField: \"apikey\")\n\nrequest.httpMethod = \"GET\"\n\nlet task = URLSession.shared.dataTask(with: request) { data, response, error in \n  guard let data = data else {\n    print(String(describing: error))\n    semaphore.signal()\n    return\n  }\n  print(String(data: data, encoding: .utf8)!)\n  semaphore.signal()\n}\n\ntask.resume()\nsemaphore.wait()\n",
        "customLabel": ""
      },
      {
        "id": "22SuuFaVHBRF0iAufURtE",
        "language": "csharp",
        "code": "var client = new RestClient(\"https://api.fourkites.com/orders?key=orderNumber&value=Order_8Nov_test\");\nclient.Timeout = -1;\nvar request = new RestRequest(Method.GET);\nrequest.AddHeader(\"accept\", \"application/json\");\nrequest.AddHeader(\"apikey\", \"REPLACE_KEY_VALUE\");\nIRestResponse response = client.Execute(request);\nConsole.WriteLine(response.Content);",
        "customLabel": ""
      },
      {
        "id": "MH_8HzsbF9fp0HUMJpBQs",
        "language": "go",
        "code": "package main\n\nimport (\n  \"fmt\"\n  \"net/http\"\n  \"io/ioutil\"\n)\n\nfunc main() {\n\n  url := \"https://api.fourkites.com/orders?key=orderNumber&value=Order_8Nov_test\"\n  method := \"GET\"\n\n  client := &http.Client {\n  }\n  req, err := http.NewRequest(method, url, nil)\n\n  if err != nil {\n    fmt.Println(err)\n    return\n  }\n  req.Header.Add(\"accept\", \"application/json\")\n  req.Header.Add(\"apikey\", \"REPLACE_KEY_VALUE\")\n\n  res, err := client.Do(req)\n  if err != nil {\n    fmt.Println(err)\n    return\n  }\n  defer res.Body.Close()\n\n  body, err := ioutil.ReadAll(res.Body)\n  if err != nil {\n    fmt.Println(err)\n    return\n  }\n  fmt.Println(string(body))\n}",
        "customLabel": ""
      },
      {
        "id": "aPlWInAgrUMIw7tHFDuRv",
        "language": "ruby",
        "code": "require \"uri\"\nrequire \"net/http\"\n\nurl = URI(\"https://api.fourkites.com/orders?key=orderNumber&value=Order_8Nov_test\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Get.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"apikey\"] = \"REPLACE_KEY_VALUE\"\n\nresponse = https.request(request)\nputs response.read_body\n",
        "customLabel": ""
      },
      {
        "id": "Sj5KIiBB6zKdgVLksQVfg",
        "language": "python",
        "code": "import http.client\n\nconn = http.client.HTTPSConnection(\"api.fourkites.com\")\npayload = ''\nheaders = {\n  'accept': 'application/json',\n  'apikey': 'REPLACE_KEY_VALUE'\n}\nconn.request(\"GET\", \"/orders?key=orderNumber&value=Order_8Nov_test\", payload, headers)\nres = conn.getresponse()\ndata = res.read()\nprint(data.decode(\"utf-8\"))",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "qeoO8eSPZzhz5nhVVvEbd"
  },
  "results": {
    "languages": [
      {
        "id": "ottA8WRZpRBa7qA_9WKXk",
        "language": "200",
        "customLabel": "",
        "code": "{\n    \"response\": {\n        \"orderNumber\": \"Order_8Nov_test\",\n        \"ordd\": \"2024-08-25T11:00:27.464596Z\",\n        \"mabd\": \"2024-10-25T11:00:27.464596Z\",\n        \"transportType\": \"international\",\n        \"status\": \"dispatch\",\n        \"statusOccurredTime\": \"2021-02-28T11:00:27.464596Z\",\n        \"freightType\": \"inbound\",\n        \"vendorShipID\": \"1003\",\n        \"type\": \"collect\",\n        \"releaseDate\": \"2021-02-28T11:00:27.464596Z\",\n        \"numberOfLineItems\": 2,\n        \"numberOfShipments\": 0,\n        \"numberOfDeliveries\": 0,\n        \"shipmentType\": \"no_shipment_mapping\",\n        \"orderTypeCode\": \"PO\",\n        \"orderTypeDescription\": \"Purchase Order\",\n        \"orderPriority\": \"HIGH\",\n        \"orderStatusCode\": \"000123ABC\",\n        \"totalMonetaryAmountIncludingTaxes\": \"6778\",\n        \"totalMonetaryAmountExcludingTaxes\": \"5454\",\n        \"totalTaxAmount\": \"123\",\n        \"currencyCode\": \"USD\",\n        \"isOrderFreeOfExciseTaxDuty\": \"YES\",\n        \"orderEntryType\": \"MOBILE\",\n        \"orderInstructionCode\": \"CASE_SPLITTING_NOT_ALLOWED\",\n        \"additionalOrderInstruction\": \"last order was not delivered on time\",\n        \"orderCreationDate\": \"2024-11-08T13:48:36.387457Z\",\n        \"requiredDeliveryDateTime\": \"2024-10-25T11:00:27.464596Z\",\n        \"latestDeliveryDate\": \"2021-02-28T11:00:27.464596Z\",\n        \"lastUpdatedTime\": \"2021-02-28T11:00:27.464596Z\",\n        \"referenceNumbers\": [\n            {\n                \"type\": \"IDOC1\",\n                \"value\": \"DTXT1\"\n            },\n            {\n                \"type\": \"IDOC\",\n                \"value\": \"DTXT\"\n            }\n        ],\n        \"orderFulfillmentPercentage\": 0,\n        \"createdBy\": \"shreya-dhanta\",\n        \"externalUrl\": [\n            {\n                \"name\": \"link 1\",\n                \"url\": \"https://po-api-qat.fourkites.com/api/v1/order?companyId=po-automation-shipper\"\n            },\n            {\n                \"name\": \"link 2\",\n                \"url\": \"https://po-api-qat.fourkites.com/api/v1/order?companyId=po-automation-shipper\"\n            }\n        ],\n        \"seller\": {\n            \"gln\": \"1001\",\n            \"name\": \"abcFF\",\n            \"address\": {\n                \"name\": \"UNILEVER MANUFACTURERA TULTITLAN\",\n                \"streetAddress\": \"US-189, Kemmerer, WY, US\",\n                \"streetAddress2\": \"\",\n                \"city\": \"tripura\",\n                \"state\": \"CDM\",\n                \"country\": \"MX\",\n                \"locationType\": \"Carrier Facility\",\n                \"zip\": \"54900\",\n                \"locationId\": \"1001\"\n            },\n            \"organisationName\": \"vendor 31234\",\n            \"contact\": {\n                \"departmentName\": \"1\",\n                \"personName\": \"abcFF\",\n                \"responsibility\": \"1\",\n                \"communicationChannel\": [\n                    {\n                        \"communicationChannelCode\": \"1\",\n                        \"communicationValue\": \"2\"\n                    }\n                ]\n            },\n            \"idNumber\": \"2\",\n            \"geoCity\": \"Kemmerer\"\n        },\n        \"billTo\": {\n            \"gln\": \"1001\",\n            \"name\": \"abcFF\",\n            \"address\": {\n                \"name\": \"UNILEVER MANUFACTURERA TULTITLAN\",\n                \"streetAddress\": \"US-189, Kemmerer, WY, US\",\n                \"streetAddress2\": \"\",\n                \"city\": \"tripura\",\n                \"state\": \"CDM\",\n                \"country\": \"MX\",\n                \"locationType\": \"Hub\",\n                \"zip\": \"54900\",\n                \"locationId\": \"1001\"\n            },\n            \"organisationName\": \"Meij33er\",\n            \"contact\": {\n                \"departmentName\": \"1\",\n                \"personName\": \"abcFF\",\n                \"responsibility\": \"1\",\n                \"communicationChannel\": [\n                    {\n                        \"communicationChannelCode\": \"1\",\n                        \"communicationValue\": \"2\"\n                    }\n                ]\n            },\n            \"geoCity\": \"Kemmerer\"\n        },\n        \"shipTo\": {\n            \"gln\": \"1003\",\n            \"name\": \"abcFF\",\n            \"address\": {\n                \"name\": \"UNILEVER MANUFACTURERA TULTITLAN\",\n                \"streetAddress\": \"US-189, Kemmerer, WY, US\",\n                \"streetAddress2\": \"\",\n                \"city\": \"Tultitlan\",\n                \"state\": \"CDM\",\n                \"country\": \"MX\",\n                \"zip\": \"54900\",\n                \"locationId\": \"1003\"\n            },\n            \"organisationName\": \"Destination 123\",\n            \"contact\": {\n                \"departmentName\": \"1\",\n                \"personName\": \"abcFF\",\n                \"responsibility\": \"1\",\n                \"communicationChannel\": [\n                    {\n                        \"communicationChannelCode\": \"1\",\n                        \"communicationValue\": \"2\"\n                    }\n                ]\n            },\n            \"geoCity\": \"Beijing\"\n        },\n        \"shipFrom\": {\n            \"gln\": \"1003\",\n            \"name\": \"abcFF\",\n            \"address\": {\n                \"name\": \"UNILEVER MANUFACTURERA TULTITLAN\",\n                \"streetAddress\": \"US-189, Kemmerer, WY, US\",\n                \"streetAddress2\": \"\",\n                \"city\": \"Tultitlan\",\n                \"state\": \"CDM\",\n                \"country\": \"MX\",\n                \"locationType\": \"Cross Dock\",\n                \"zip\": \"54900\",\n                \"locationId\": \"1003\"\n            },\n            \"organisationName\": \"organisation 312\",\n            \"contact\": {\n                \"departmentName\": \"1\",\n                \"personName\": \"abcFF\",\n                \"responsibility\": \"1\",\n                \"communicationChannel\": [\n                    {\n                        \"communicationChannelCode\": \"1\",\n                        \"communicationValue\": \"2\"\n                    }\n                ]\n            },\n            \"geoCity\": \"Beijing\"\n        },\n        \"pickupFrom\": {\n            \"gln\": \"1001\",\n            \"name\": \"abcFF\",\n            \"address\": {\n                \"name\": \"UNILEVER MANUFACTURERA 4TULTITLAN\",\n                \"streetAddress\": \"US-189, Kemmerer, WY, US\",\n                \"streetAddress2\": \"\",\n                \"city\": \"Tultitlan\",\n                \"state\": \"CDM\",\n                \"country\": \"MX\",\n                \"locationType\": \"3PL Facility\",\n                \"zip\": \"54900\",\n                \"locationId\": \"1001\"\n            },\n            \"organisationName\": \"organisation 1234\",\n            \"contact\": {\n                \"departmentName\": \"1\",\n                \"personName\": \"abcFF\",\n                \"responsibility\": \"1\",\n                \"communicationChannel\": [\n                    {\n                        \"communicationChannelCode\": \"1\",\n                        \"communicationValue\": \"2\"\n                    }\n                ]\n            },\n            \"geoCity\": \"Kemmerer\"\n        },\n        \"orderLineItems\": [\n            {\n                \"id\": \"d2893e7a-d035-4058-a436-6b9c88c3b0f0\",\n                \"sourceType\": \"sync\",\n                \"product\": {\n                    \"productId\": \"MT29F8G01ADBFD12-AAT:F4901\",\n                    \"productName\": \"Memory NAND FLASH PLASTIC\",\n                    \"productDescription\": \"Integrated Circuits - Memory NAND FLASH PLASTIC\",\n                    \"productSku\": \"MT29F8G01ADBFD12-AAT:F4901\",\n                    \"productCategory\": \"books\",\n                    \"gtin\": \"sd\",\n                    \"commodityTypeCode\": \"123456789441\",\n                    \"productOwner\": \"ois-demo-company-2\",\n                    \"additionalTradeItemClassificationCode\": \"additionalTradeItemClassificationCode\"\n                },\n                \"promoDate\": \"2024-11-11T11:00:27.464596Z\",\n                \"holdDate\": \"2021-02-12T11:00:27.464596Z\",\n                \"externalUrl\": [\n                    {\n                        \"name\": \"link 1\",\n                        \"url\": \"https://po-api-qat.fourkites.com/api/v1/order?companyId=po-automation-shipper\"\n                    },\n                    {\n                        \"name\": \"link 2\",\n                        \"url\": \"https://po-api-qat.fourkites.com/api/v1/order?companyId=po-automation-shipper\"\n                    }\n                ],\n                \"itemName\": \"Memory NAND FLASH PLASTIC\",\n                \"itemNumber\": \"MT29F8G01ADBFD12-AAT:F8844998888\",\n                \"itemDescription\": \"Integrated Circuits - Memory NAND FLASH PLASTIC\",\n                \"itemQuantity\": 66000.0,\n                \"itemPrice\": 6.66,\n                \"netAmount\": 466200.0,\n                \"itemNetWeight\": 304.2,\n                \"itemGrossWeight\": 35.31,\n                \"weightUnit\": \"EA\",\n                \"companyId\": \"ois-demo-company-2\",\n                \"distributionMethod\": \"ee\",\n                \"avpList\": {\n                    \"wmsLoadID\": \"del_29Apr_9\",\n                    \"wmsDockOutDateTime\": \"2024-04-06T18:06:57.419840Z\",\n                    \"wmsCheckOutDateTime\": \"2024-04-07T18:06:57.419840Z\",\n                    \"wmsScheduleTimestamp\": \"2024-04-01T18:06:57.419840Z\",\n                    \"wmsLoadGateInDateTime\": \"2024-04-04T18:06:57.419840Z\",\n                    \"wmsLoadBullpenDateTime\": \"2024-04-08T18:06:57.419840Z\",\n                    \"wmsLoadDockedInDateTime\": \"2022-12-05T18:06:57.419840Z\"\n                },\n                \"additionalOrderLineInstruction\": \"orderLineItemInstructionCode\",\n                \"transactionalTradeItem\": {\n                    \"transactionalItemData\": {\n                        \"productQualityIndication\": \"2\",\n                        \"shelfLife\": \"4\",\n                        \"tradeItemQuantity\": \"3\",\n                        \"lotNumber\": \"7172-P54-200012\",\n                        \"serialNumber\": \"23\",\n                        \"countryOfOrigin\": \"case\",\n                        \"availableForSaleDate\": \"2021-02-28T11:00:27.464596Z\",\n                        \"bestBeforeDate\": \"2021-02-28T11:00:27.464596Z\",\n                        \"itemExpirationDate\": \"2021-02-28T11:00:27.464596Z\",\n                        \"packagingDate\": \"2021-02-28T11:00:27.464596Z\",\n                        \"sellByDate\": \"2021-02-28T11:00:27.464596Z\",\n                        \"productionDate\": \"2021-02-28T11:00:27.464596Z\",\n                        \"batchNumber\": \"7172-P54-200012\",\n                        \"transactionalItemDimensions\": {\n                            \"depth\": \"12\",\n                            \"height\": \"12\",\n                            \"width\": \"234\",\n                            \"uom\": \"1222\"\n                        },\n                        \"transactionalItemLogisticUnitInformation\": {\n                            \"maximumStackingFactor\": \"12\",\n                            \"numberOfLayers\": \"12\",\n                            \"numberOfUnitsPerLayer\": \"12\",\n                            \"numberOfUnitsPerPallet\": \"12\",\n                            \"dimensionsOfLogisticUnit\": {\n                                \"depth\": \"11\",\n                                \"height\": \"11\",\n                                \"width\": \"1\"\n                            }\n                        }\n                    },\n                    \"size\": {\n                        \"descriptiveSize\": \"1\",\n                        \"sizeCode\": \"12\"\n                    }\n                },\n                \"caseDetails\": [\n                    {\n                        \"casePackSize\": 1,\n                        \"casePackId\": \"case-101\",\n                        \"casePackQuantity\": 1,\n                        \"casePackCategory\": \"case cat 101\",\n                        \"casePackDescription\": \"case desc 101\"\n                    }\n                ],\n                \"createdAt\": \"2024-11-08T13:48:36.393337Z\",\n                \"createdBy\": \"shreya-dhanta\",\n                \"updatedAt\": \"2024-11-08T13:49:40.663318Z\",\n                \"updatedBy\": \"shreya-dhanta\",\n                \"deleted\": false\n            },\n            {\n                \"id\": \"619bbc45-15cd-4ecb-84b3-18f6c137ae63\",\n                \"sourceType\": \"sync\",\n                \"product\": {\n                    \"productId\": \"MT29F8G01ADBFD12-AAT:F4900\",\n                    \"productName\": \"Memory NAND FLASH PLASTIC\",\n                    \"productDescription\": \"Integrated Circuits - Memory NAND FLASH PLASTIC\",\n                    \"productSku\": \"MT29F8G01ADBFD12-AAT:F4900\",\n                    \"productCategory\": \"electronics\",\n                    \"gtin\": \"sd\",\n                    \"commodityTypeCode\": \"123456789441\",\n                    \"productOwner\": \"ois-demo-company-2\",\n                    \"additionalTradeItemClassificationCode\": \"additionalTradeItemClassificationCode\"\n                },\n                \"promoDate\": \"2024-11-11T11:00:27.464596Z\",\n                \"holdDate\": \"2021-02-12T11:00:27.464596Z\",\n                \"externalUrl\": [\n                    {\n                        \"name\": \"link 1\",\n                        \"url\": \"https://po-api-qat.fourkites.com/api/v1/order?companyId=po-automation-shipper\"\n                    },\n                    {\n                        \"name\": \"link 2\",\n                        \"url\": \"https://po-api-qat.fourkites.com/api/v1/order?companyId=po-automation-shipper\"\n                    }\n                ],\n                \"itemName\": \"Memory NAND FLASH PLASTIC\",\n                \"itemNumber\": \"MT29F8G01ADBFD12-AAT:F884499\",\n                \"itemDescription\": \"Integrated Circuits - Memory NAND FLASH PLASTIC\",\n                \"itemQuantity\": 66000.0,\n                \"itemPrice\": 6.66,\n                \"netAmount\": 466200.0,\n                \"itemNetWeight\": 304.2,\n                \"itemGrossWeight\": 35.31,\n                \"weightUnit\": \"EA\",\n                \"companyId\": \"ois-demo-company-2\",\n                \"distributionMethod\": \"ee\",\n                \"avpList\": {\n                    \"wmsLoadID\": \"del_29Apr_9\",\n                    \"wmsDockOutDateTime\": \"2024-04-06T18:06:57.419840Z\",\n                    \"wmsCheckOutDateTime\": \"2024-04-07T18:06:57.419840Z\",\n                    \"wmsScheduleTimestamp\": \"2024-04-01T18:06:57.419840Z\",\n                    \"wmsLoadGateInDateTime\": \"2024-04-04T18:06:57.419840Z\",\n                    \"wmsLoadBullpenDateTime\": \"2024-04-08T18:06:57.419840Z\",\n                    \"wmsLoadDockedInDateTime\": \"2022-12-05T18:06:57.419840Z\"\n                },\n                \"additionalOrderLineInstruction\": \"orderLineItemInstructionCode\",\n                \"transactionalTradeItem\": {\n                    \"transactionalItemData\": {\n                        \"productQualityIndication\": \"2\",\n                        \"shelfLife\": \"4\",\n                        \"tradeItemQuantity\": \"3\",\n                        \"lotNumber\": \"7172-P54-200012\",\n                        \"serialNumber\": \"23\",\n                        \"countryOfOrigin\": \"case\",\n                        \"availableForSaleDate\": \"2021-02-28T11:00:27.464596Z\",\n                        \"bestBeforeDate\": \"2021-02-28T11:00:27.464596Z\",\n                        \"itemExpirationDate\": \"2021-02-28T11:00:27.464596Z\",\n                        \"packagingDate\": \"2021-02-28T11:00:27.464596Z\",\n                        \"sellByDate\": \"2021-02-28T11:00:27.464596Z\",\n                        \"productionDate\": \"2021-02-28T11:00:27.464596Z\",\n                        \"batchNumber\": \"7172-P54-200012\",\n                        \"transactionalItemDimensions\": {\n                            \"depth\": \"12\",\n                            \"height\": \"12\",\n                            \"width\": \"234\",\n                            \"uom\": \"1222\"\n                        },\n                        \"transactionalItemLogisticUnitInformation\": {\n                            \"maximumStackingFactor\": \"12\",\n                            \"numberOfLayers\": \"12\",\n                            \"numberOfUnitsPerLayer\": \"12\",\n                            \"numberOfUnitsPerPallet\": \"12\",\n                            \"dimensionsOfLogisticUnit\": {\n                                \"depth\": \"11\",\n                                \"height\": \"11\",\n                                \"width\": \"1\"\n                            }\n                        }\n                    },\n                    \"size\": {\n                        \"descriptiveSize\": \"1\",\n                        \"sizeCode\": \"12\"\n                    }\n                },\n                \"caseDetails\": [\n                    {\n                        \"casePackSize\": 1,\n                        \"casePackId\": \"case-101\",\n                        \"casePackQuantity\": 1,\n                        \"casePackCategory\": \"case cat 101\",\n                        \"casePackDescription\": \"case desc 101\"\n                    }\n                ],\n                \"createdAt\": \"2024-11-08T13:48:36.398489Z\",\n                \"createdBy\": \"shreya-dhanta\",\n                \"updatedAt\": \"2024-11-08T13:49:40.664614Z\",\n                \"updatedBy\": \"shreya-dhanta\",\n                \"deleted\": false\n            }\n        ]\n    }\n}"
      }
    ],
    "selectedLanguageId": "ottA8WRZpRBa7qA_9WKXk"
  },
  "request": {
    "pathParameters": [],
    "queryParameters": [
      {
        "name": "key",
        "kind": "required",
        "type": "string",
        "description": "The field name to search by. Specifies which order attribute to use for filtering (e.g., \"orderNumber\", \"orderId\", \"customerReference\").",
        "": "The field name to search by. Specifies which order attribute to use for filtering (e.g., \"orderNumber\", \"orderId\", \"customerReference\")."
      },
      {
        "name": "value",
        "kind": "required",
        "type": "string",
        "description": "The search value to match against the specified key field. This is the actual order identifier or attribute value you're looking for (e.g., \"Order_8Nov_test\").",
        "": "required"
      }
    ],
    "headerParameters": [
      {
        "name": "apikey",
        "kind": "required",
        "type": "string",
        "description": "Your FourKites API authentication key. Replace REPLACE_KEY_VALUE with your actual API key to authenticate the request.",
        "": "required"
      }
    ],
    "bodyDataParameters": [],
    "formDataParameters": []
  },
  "currentNewParameter": {
    "label": "Header Parameter",
    "value": "headerParameters"
  },
  "hasTryItOut": false,
  "autoGeneratedAnchorSlug": "production",
  "legacyHash": "AZCMzvHysb6NX1lUEgtZj"
}
```
:::

:::ApiMethodV2
```json
{
  "name": "Staging",
  "method": "GET",
  "url": "https://api-staging.fourkites.com/orders?key=orderNumber&value=Order_8Nov_test",
  "description": "",
  "tab": "examples",
  "examples": {
    "languages": [
      {
        "id": "qeoO8eSPZzhz5nhVVvEbd",
        "language": "curl",
        "code": "curl --location --request GET 'https://api-staging.fourkites.com/orders?key=orderNumber&value=Order_8Nov_test' \\\n--header 'accept: application/json' \\\n--header 'apikey: REPLACE_KEY_VALUE'",
        "customLabel": ""
      },
      {
        "id": "JMDRbEn_YX7o7jdljZl-o",
        "language": "java",
        "code": "OkHttpClient client = new OkHttpClient().newBuilder()\n  .build();\nMediaType mediaType = MediaType.parse(\"text/plain\");\nRequestBody body = RequestBody.create(mediaType, \"\");\nRequest request = new Request.Builder()\n  .url(\"https://api-staging.fourkites.com/orders?key=orderNumber&value=Order_8Nov_test\")\n  .method(\"GET\", body)\n  .addHeader(\"accept\", \"application/json\")\n  .addHeader(\"apikey\", \"REPLACE_KEY_VALUE\")\n  .build();\nResponse response = client.newCall(request).execute();",
        "customLabel": ""
      },
      {
        "id": "P5r9837dSygmx1ifCkWwy",
        "language": "javascript",
        "code": "var settings = {\n  \"url\": \"https://api-staging.fourkites.com/orders?key=orderNumber&value=Order_8Nov_test\",\n  \"method\": \"GET\",\n  \"timeout\": 0,\n  \"headers\": {\n    \"accept\": \"application/json\",\n    \"apikey\": \"REPLACE_KEY_VALUE\"\n  },\n};\n\n$.ajax(settings).done(function (response) {\n  console.log(response);\n});",
        "customLabel": ""
      },
      {
        "id": "Oio-LwOGVIkXBLTpDdOSU",
        "language": "swift",
        "code": "import Foundation\n#if canImport(FoundationNetworking)\nimport FoundationNetworking\n#endif\n\nvar semaphore = DispatchSemaphore (value: 0)\n\nvar request = URLRequest(url: URL(string: \"https://api-staging.fourkites.com/orders?key=orderNumber&value=Order_8Nov_test\")!,timeoutInterval: Double.infinity)\nrequest.addValue(\"application/json\", forHTTPHeaderField: \"accept\")\nrequest.addValue(\"REPLACE_KEY_VALUE\", forHTTPHeaderField: \"apikey\")\n\nrequest.httpMethod = \"GET\"\n\nlet task = URLSession.shared.dataTask(with: request) { data, response, error in \n  guard let data = data else {\n    print(String(describing: error))\n    semaphore.signal()\n    return\n  }\n  print(String(data: data, encoding: .utf8)!)\n  semaphore.signal()\n}\n\ntask.resume()\nsemaphore.wait()\n",
        "customLabel": ""
      },
      {
        "id": "22SuuFaVHBRF0iAufURtE",
        "language": "csharp",
        "code": "var client = new RestClient(\"https://api-staging.fourkites.com/orders?key=orderNumber&value=Order_8Nov_test\");\nclient.Timeout = -1;\nvar request = new RestRequest(Method.GET);\nrequest.AddHeader(\"accept\", \"application/json\");\nrequest.AddHeader(\"apikey\", \"REPLACE_KEY_VALUE\");\nIRestResponse response = client.Execute(request);\nConsole.WriteLine(response.Content);",
        "customLabel": ""
      },
      {
        "id": "MH_8HzsbF9fp0HUMJpBQs",
        "language": "go",
        "code": "package main\n\nimport (\n  \"fmt\"\n  \"net/http\"\n  \"io/ioutil\"\n)\n\nfunc main() {\n\n  url := \"https://api-staging.fourkites.com/orders?key=orderNumber&value=Order_8Nov_test\"\n  method := \"GET\"\n\n  client := &http.Client {\n  }\n  req, err := http.NewRequest(method, url, nil)\n\n  if err != nil {\n    fmt.Println(err)\n    return\n  }\n  req.Header.Add(\"accept\", \"application/json\")\n  req.Header.Add(\"apikey\", \"REPLACE_KEY_VALUE\")\n\n  res, err := client.Do(req)\n  if err != nil {\n    fmt.Println(err)\n    return\n  }\n  defer res.Body.Close()\n\n  body, err := ioutil.ReadAll(res.Body)\n  if err != nil {\n    fmt.Println(err)\n    return\n  }\n  fmt.Println(string(body))\n}",
        "customLabel": ""
      },
      {
        "id": "aPlWInAgrUMIw7tHFDuRv",
        "language": "ruby",
        "code": "require \"uri\"\nrequire \"net/http\"\n\nurl = URI(\"https://api-staging.fourkites.com/orders?key=orderNumber&value=Order_8Nov_test\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Get.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"apikey\"] = \"REPLACE_KEY_VALUE\"\n\nresponse = https.request(request)\nputs response.read_body\n",
        "customLabel": ""
      },
      {
        "id": "Sj5KIiBB6zKdgVLksQVfg",
        "language": "python",
        "code": "import http.client\n\nconn = http.client.HTTPSConnection(\"api-staging.fourkites.com\")\npayload = ''\nheaders = {\n  'accept': 'application/json',\n  'apikey': 'REPLACE_KEY_VALUE'\n}\nconn.request(\"GET\", \"/orders?key=orderNumber&value=Order_8Nov_test\", payload, headers)\nres = conn.getresponse()\ndata = res.read()\nprint(data.decode(\"utf-8\"))",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "Sj5KIiBB6zKdgVLksQVfg"
  },
  "results": {
    "languages": [
      {
        "id": "ottA8WRZpRBa7qA_9WKXk",
        "language": "200",
        "customLabel": "",
        "code": "{\n    \"response\": {\n        \"orderNumber\": \"Order_8Nov_test\",\n        \"ordd\": \"2024-08-25T11:00:27.464596Z\",\n        \"mabd\": \"2024-10-25T11:00:27.464596Z\",\n        \"transportType\": \"international\",\n        \"status\": \"dispatch\",\n        \"statusOccurredTime\": \"2021-02-28T11:00:27.464596Z\",\n        \"freightType\": \"inbound\",\n        \"vendorShipID\": \"1003\",\n        \"type\": \"collect\",\n        \"releaseDate\": \"2021-02-28T11:00:27.464596Z\",\n        \"numberOfLineItems\": 2,\n        \"numberOfShipments\": 0,\n        \"numberOfDeliveries\": 0,\n        \"shipmentType\": \"no_shipment_mapping\",\n        \"orderTypeCode\": \"PO\",\n        \"orderTypeDescription\": \"Purchase Order\",\n        \"orderPriority\": \"HIGH\",\n        \"orderStatusCode\": \"000123ABC\",\n        \"totalMonetaryAmountIncludingTaxes\": \"6778\",\n        \"totalMonetaryAmountExcludingTaxes\": \"5454\",\n        \"totalTaxAmount\": \"123\",\n        \"currencyCode\": \"USD\",\n        \"isOrderFreeOfExciseTaxDuty\": \"YES\",\n        \"orderEntryType\": \"MOBILE\",\n        \"orderInstructionCode\": \"CASE_SPLITTING_NOT_ALLOWED\",\n        \"additionalOrderInstruction\": \"last order was not delivered on time\",\n        \"orderCreationDate\": \"2024-11-08T13:48:36.387457Z\",\n        \"requiredDeliveryDateTime\": \"2024-10-25T11:00:27.464596Z\",\n        \"latestDeliveryDate\": \"2021-02-28T11:00:27.464596Z\",\n        \"lastUpdatedTime\": \"2021-02-28T11:00:27.464596Z\",\n        \"referenceNumbers\": [\n            {\n                \"type\": \"IDOC1\",\n                \"value\": \"DTXT1\"\n            },\n            {\n                \"type\": \"IDOC\",\n                \"value\": \"DTXT\"\n            }\n        ],\n        \"orderFulfillmentPercentage\": 0,\n        \"createdBy\": \"shreya-dhanta\",\n        \"externalUrl\": [\n            {\n                \"name\": \"link 1\",\n                \"url\": \"https://po-api-qat.fourkites.com/api/v1/order?companyId=po-automation-shipper\"\n            },\n            {\n                \"name\": \"link 2\",\n                \"url\": \"https://po-api-qat.fourkites.com/api/v1/order?companyId=po-automation-shipper\"\n            }\n        ],\n        \"seller\": {\n            \"gln\": \"1001\",\n            \"name\": \"abcFF\",\n            \"address\": {\n                \"name\": \"UNILEVER MANUFACTURERA TULTITLAN\",\n                \"streetAddress\": \"US-189, Kemmerer, WY, US\",\n                \"streetAddress2\": \"\",\n                \"city\": \"tripura\",\n                \"state\": \"CDM\",\n                \"country\": \"MX\",\n                \"locationType\": \"Carrier Facility\",\n                \"zip\": \"54900\",\n                \"locationId\": \"1001\"\n            },\n            \"organisationName\": \"vendor 31234\",\n            \"contact\": {\n                \"departmentName\": \"1\",\n                \"personName\": \"abcFF\",\n                \"responsibility\": \"1\",\n                \"communicationChannel\": [\n                    {\n                        \"communicationChannelCode\": \"1\",\n                        \"communicationValue\": \"2\"\n                    }\n                ]\n            },\n            \"idNumber\": \"2\",\n            \"geoCity\": \"Kemmerer\"\n        },\n        \"billTo\": {\n            \"gln\": \"1001\",\n            \"name\": \"abcFF\",\n            \"address\": {\n                \"name\": \"UNILEVER MANUFACTURERA TULTITLAN\",\n                \"streetAddress\": \"US-189, Kemmerer, WY, US\",\n                \"streetAddress2\": \"\",\n                \"city\": \"tripura\",\n                \"state\": \"CDM\",\n                \"country\": \"MX\",\n                \"locationType\": \"Hub\",\n                \"zip\": \"54900\",\n                \"locationId\": \"1001\"\n            },\n            \"organisationName\": \"Meij33er\",\n            \"contact\": {\n                \"departmentName\": \"1\",\n                \"personName\": \"abcFF\",\n                \"responsibility\": \"1\",\n                \"communicationChannel\": [\n                    {\n                        \"communicationChannelCode\": \"1\",\n                        \"communicationValue\": \"2\"\n                    }\n                ]\n            },\n            \"geoCity\": \"Kemmerer\"\n        },\n        \"shipTo\": {\n            \"gln\": \"1003\",\n            \"name\": \"abcFF\",\n            \"address\": {\n                \"name\": \"UNILEVER MANUFACTURERA TULTITLAN\",\n                \"streetAddress\": \"US-189, Kemmerer, WY, US\",\n                \"streetAddress2\": \"\",\n                \"city\": \"Tultitlan\",\n                \"state\": \"CDM\",\n                \"country\": \"MX\",\n                \"zip\": \"54900\",\n                \"locationId\": \"1003\"\n            },\n            \"organisationName\": \"Destination 123\",\n            \"contact\": {\n                \"departmentName\": \"1\",\n                \"personName\": \"abcFF\",\n                \"responsibility\": \"1\",\n                \"communicationChannel\": [\n                    {\n                        \"communicationChannelCode\": \"1\",\n                        \"communicationValue\": \"2\"\n                    }\n                ]\n            },\n            \"geoCity\": \"Beijing\"\n        },\n        \"shipFrom\": {\n            \"gln\": \"1003\",\n            \"name\": \"abcFF\",\n            \"address\": {\n                \"name\": \"UNILEVER MANUFACTURERA TULTITLAN\",\n                \"streetAddress\": \"US-189, Kemmerer, WY, US\",\n                \"streetAddress2\": \"\",\n                \"city\": \"Tultitlan\",\n                \"state\": \"CDM\",\n                \"country\": \"MX\",\n                \"locationType\": \"Cross Dock\",\n                \"zip\": \"54900\",\n                \"locationId\": \"1003\"\n            },\n            \"organisationName\": \"organisation 312\",\n            \"contact\": {\n                \"departmentName\": \"1\",\n                \"personName\": \"abcFF\",\n                \"responsibility\": \"1\",\n                \"communicationChannel\": [\n                    {\n                        \"communicationChannelCode\": \"1\",\n                        \"communicationValue\": \"2\"\n                    }\n                ]\n            },\n            \"geoCity\": \"Beijing\"\n        },\n        \"pickupFrom\": {\n            \"gln\": \"1001\",\n            \"name\": \"abcFF\",\n            \"address\": {\n                \"name\": \"UNILEVER MANUFACTURERA 4TULTITLAN\",\n                \"streetAddress\": \"US-189, Kemmerer, WY, US\",\n                \"streetAddress2\": \"\",\n                \"city\": \"Tultitlan\",\n                \"state\": \"CDM\",\n                \"country\": \"MX\",\n                \"locationType\": \"3PL Facility\",\n                \"zip\": \"54900\",\n                \"locationId\": \"1001\"\n            },\n            \"organisationName\": \"organisation 1234\",\n            \"contact\": {\n                \"departmentName\": \"1\",\n                \"personName\": \"abcFF\",\n                \"responsibility\": \"1\",\n                \"communicationChannel\": [\n                    {\n                        \"communicationChannelCode\": \"1\",\n                        \"communicationValue\": \"2\"\n                    }\n                ]\n            },\n            \"geoCity\": \"Kemmerer\"\n        },\n        \"orderLineItems\": [\n            {\n                \"id\": \"d2893e7a-d035-4058-a436-6b9c88c3b0f0\",\n                \"sourceType\": \"sync\",\n                \"product\": {\n                    \"productId\": \"MT29F8G01ADBFD12-AAT:F4901\",\n                    \"productName\": \"Memory NAND FLASH PLASTIC\",\n                    \"productDescription\": \"Integrated Circuits - Memory NAND FLASH PLASTIC\",\n                    \"productSku\": \"MT29F8G01ADBFD12-AAT:F4901\",\n                    \"productCategory\": \"books\",\n                    \"gtin\": \"sd\",\n                    \"commodityTypeCode\": \"123456789441\",\n                    \"productOwner\": \"ois-demo-company-2\",\n                    \"additionalTradeItemClassificationCode\": \"additionalTradeItemClassificationCode\"\n                },\n                \"promoDate\": \"2024-11-11T11:00:27.464596Z\",\n                \"holdDate\": \"2021-02-12T11:00:27.464596Z\",\n                \"externalUrl\": [\n                    {\n                        \"name\": \"link 1\",\n                        \"url\": \"https://po-api-qat.fourkites.com/api/v1/order?companyId=po-automation-shipper\"\n                    },\n                    {\n                        \"name\": \"link 2\",\n                        \"url\": \"https://po-api-qat.fourkites.com/api/v1/order?companyId=po-automation-shipper\"\n                    }\n                ],\n                \"itemName\": \"Memory NAND FLASH PLASTIC\",\n                \"itemNumber\": \"MT29F8G01ADBFD12-AAT:F8844998888\",\n                \"itemDescription\": \"Integrated Circuits - Memory NAND FLASH PLASTIC\",\n                \"itemQuantity\": 66000.0,\n                \"itemPrice\": 6.66,\n                \"netAmount\": 466200.0,\n                \"itemNetWeight\": 304.2,\n                \"itemGrossWeight\": 35.31,\n                \"weightUnit\": \"EA\",\n                \"companyId\": \"ois-demo-company-2\",\n                \"distributionMethod\": \"ee\",\n                \"avpList\": {\n                    \"wmsLoadID\": \"del_29Apr_9\",\n                    \"wmsDockOutDateTime\": \"2024-04-06T18:06:57.419840Z\",\n                    \"wmsCheckOutDateTime\": \"2024-04-07T18:06:57.419840Z\",\n                    \"wmsScheduleTimestamp\": \"2024-04-01T18:06:57.419840Z\",\n                    \"wmsLoadGateInDateTime\": \"2024-04-04T18:06:57.419840Z\",\n                    \"wmsLoadBullpenDateTime\": \"2024-04-08T18:06:57.419840Z\",\n                    \"wmsLoadDockedInDateTime\": \"2022-12-05T18:06:57.419840Z\"\n                },\n                \"additionalOrderLineInstruction\": \"orderLineItemInstructionCode\",\n                \"transactionalTradeItem\": {\n                    \"transactionalItemData\": {\n                        \"productQualityIndication\": \"2\",\n                        \"shelfLife\": \"4\",\n                        \"tradeItemQuantity\": \"3\",\n                        \"lotNumber\": \"7172-P54-200012\",\n                        \"serialNumber\": \"23\",\n                        \"countryOfOrigin\": \"case\",\n                        \"availableForSaleDate\": \"2021-02-28T11:00:27.464596Z\",\n                        \"bestBeforeDate\": \"2021-02-28T11:00:27.464596Z\",\n                        \"itemExpirationDate\": \"2021-02-28T11:00:27.464596Z\",\n                        \"packagingDate\": \"2021-02-28T11:00:27.464596Z\",\n                        \"sellByDate\": \"2021-02-28T11:00:27.464596Z\",\n                        \"productionDate\": \"2021-02-28T11:00:27.464596Z\",\n                        \"batchNumber\": \"7172-P54-200012\",\n                        \"transactionalItemDimensions\": {\n                            \"depth\": \"12\",\n                            \"height\": \"12\",\n                            \"width\": \"234\",\n                            \"uom\": \"1222\"\n                        },\n                        \"transactionalItemLogisticUnitInformation\": {\n                            \"maximumStackingFactor\": \"12\",\n                            \"numberOfLayers\": \"12\",\n                            \"numberOfUnitsPerLayer\": \"12\",\n                            \"numberOfUnitsPerPallet\": \"12\",\n                            \"dimensionsOfLogisticUnit\": {\n                                \"depth\": \"11\",\n                                \"height\": \"11\",\n                                \"width\": \"1\"\n                            }\n                        }\n                    },\n                    \"size\": {\n                        \"descriptiveSize\": \"1\",\n                        \"sizeCode\": \"12\"\n                    }\n                },\n                \"caseDetails\": [\n                    {\n                        \"casePackSize\": 1,\n                        \"casePackId\": \"case-101\",\n                        \"casePackQuantity\": 1,\n                        \"casePackCategory\": \"case cat 101\",\n                        \"casePackDescription\": \"case desc 101\"\n                    }\n                ],\n                \"createdAt\": \"2024-11-08T13:48:36.393337Z\",\n                \"createdBy\": \"shreya-dhanta\",\n                \"updatedAt\": \"2024-11-08T13:49:40.663318Z\",\n                \"updatedBy\": \"shreya-dhanta\",\n                \"deleted\": false\n            },\n            {\n                \"id\": \"619bbc45-15cd-4ecb-84b3-18f6c137ae63\",\n                \"sourceType\": \"sync\",\n                \"product\": {\n                    \"productId\": \"MT29F8G01ADBFD12-AAT:F4900\",\n                    \"productName\": \"Memory NAND FLASH PLASTIC\",\n                    \"productDescription\": \"Integrated Circuits - Memory NAND FLASH PLASTIC\",\n                    \"productSku\": \"MT29F8G01ADBFD12-AAT:F4900\",\n                    \"productCategory\": \"electronics\",\n                    \"gtin\": \"sd\",\n                    \"commodityTypeCode\": \"123456789441\",\n                    \"productOwner\": \"ois-demo-company-2\",\n                    \"additionalTradeItemClassificationCode\": \"additionalTradeItemClassificationCode\"\n                },\n                \"promoDate\": \"2024-11-11T11:00:27.464596Z\",\n                \"holdDate\": \"2021-02-12T11:00:27.464596Z\",\n                \"externalUrl\": [\n                    {\n                        \"name\": \"link 1\",\n                        \"url\": \"https://po-api-qat.fourkites.com/api/v1/order?companyId=po-automation-shipper\"\n                    },\n                    {\n                        \"name\": \"link 2\",\n                        \"url\": \"https://po-api-qat.fourkites.com/api/v1/order?companyId=po-automation-shipper\"\n                    }\n                ],\n                \"itemName\": \"Memory NAND FLASH PLASTIC\",\n                \"itemNumber\": \"MT29F8G01ADBFD12-AAT:F884499\",\n                \"itemDescription\": \"Integrated Circuits - Memory NAND FLASH PLASTIC\",\n                \"itemQuantity\": 66000.0,\n                \"itemPrice\": 6.66,\n                \"netAmount\": 466200.0,\n                \"itemNetWeight\": 304.2,\n                \"itemGrossWeight\": 35.31,\n                \"weightUnit\": \"EA\",\n                \"companyId\": \"ois-demo-company-2\",\n                \"distributionMethod\": \"ee\",\n                \"avpList\": {\n                    \"wmsLoadID\": \"del_29Apr_9\",\n                    \"wmsDockOutDateTime\": \"2024-04-06T18:06:57.419840Z\",\n                    \"wmsCheckOutDateTime\": \"2024-04-07T18:06:57.419840Z\",\n                    \"wmsScheduleTimestamp\": \"2024-04-01T18:06:57.419840Z\",\n                    \"wmsLoadGateInDateTime\": \"2024-04-04T18:06:57.419840Z\",\n                    \"wmsLoadBullpenDateTime\": \"2024-04-08T18:06:57.419840Z\",\n                    \"wmsLoadDockedInDateTime\": \"2022-12-05T18:06:57.419840Z\"\n                },\n                \"additionalOrderLineInstruction\": \"orderLineItemInstructionCode\",\n                \"transactionalTradeItem\": {\n                    \"transactionalItemData\": {\n                        \"productQualityIndication\": \"2\",\n                        \"shelfLife\": \"4\",\n                        \"tradeItemQuantity\": \"3\",\n                        \"lotNumber\": \"7172-P54-200012\",\n                        \"serialNumber\": \"23\",\n                        \"countryOfOrigin\": \"case\",\n                        \"availableForSaleDate\": \"2021-02-28T11:00:27.464596Z\",\n                        \"bestBeforeDate\": \"2021-02-28T11:00:27.464596Z\",\n                        \"itemExpirationDate\": \"2021-02-28T11:00:27.464596Z\",\n                        \"packagingDate\": \"2021-02-28T11:00:27.464596Z\",\n                        \"sellByDate\": \"2021-02-28T11:00:27.464596Z\",\n                        \"productionDate\": \"2021-02-28T11:00:27.464596Z\",\n                        \"batchNumber\": \"7172-P54-200012\",\n                        \"transactionalItemDimensions\": {\n                            \"depth\": \"12\",\n                            \"height\": \"12\",\n                            \"width\": \"234\",\n                            \"uom\": \"1222\"\n                        },\n                        \"transactionalItemLogisticUnitInformation\": {\n                            \"maximumStackingFactor\": \"12\",\n                            \"numberOfLayers\": \"12\",\n                            \"numberOfUnitsPerLayer\": \"12\",\n                            \"numberOfUnitsPerPallet\": \"12\",\n                            \"dimensionsOfLogisticUnit\": {\n                                \"depth\": \"11\",\n                                \"height\": \"11\",\n                                \"width\": \"1\"\n                            }\n                        }\n                    },\n                    \"size\": {\n                        \"descriptiveSize\": \"1\",\n                        \"sizeCode\": \"12\"\n                    }\n                },\n                \"caseDetails\": [\n                    {\n                        \"casePackSize\": 1,\n                        \"casePackId\": \"case-101\",\n                        \"casePackQuantity\": 1,\n                        \"casePackCategory\": \"case cat 101\",\n                        \"casePackDescription\": \"case desc 101\"\n                    }\n                ],\n                \"createdAt\": \"2024-11-08T13:48:36.398489Z\",\n                \"createdBy\": \"shreya-dhanta\",\n                \"updatedAt\": \"2024-11-08T13:49:40.664614Z\",\n                \"updatedBy\": \"shreya-dhanta\",\n                \"deleted\": false\n            }\n        ]\n    }\n}"
      }
    ],
    "selectedLanguageId": "ottA8WRZpRBa7qA_9WKXk"
  },
  "request": {
    "pathParameters": [],
    "queryParameters": [
      {
        "name": "key",
        "kind": "required",
        "type": "string",
        "description": "The field name to search by. Specifies which order attribute to use for filtering (e.g., \"orderNumber\", \"orderId\", \"customerReference\").",
        "": "required"
      },
      {
        "name": "value",
        "kind": "required",
        "type": "string",
        "description": "The search value to match against the specified key field. This is the actual order identifier or attribute value you're looking for (e.g., \"Order_8Nov_test\").",
        "": "required"
      }
    ],
    "headerParameters": [
      {
        "name": "apikey",
        "kind": "required",
        "type": "string",
        "description": "Your FourKites API authentication key. Replace REPLACE_KEY_VALUE with your actual API key to authenticate the request.",
        "": "required"
      }
    ],
    "bodyDataParameters": [],
    "formDataParameters": []
  },
  "currentNewParameter": {
    "label": "Header Parameter",
    "value": "headerParameters"
  },
  "hasTryItOut": false,
  "autoGeneratedAnchorSlug": "staging",
  "legacyHash": "OOPqAkX6ZSQCY1Mmdf1I6"
}
```
:::

